<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Lab 3 - Create high level diagram</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/serif.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/zenburn.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<span class="menu-title" style="display: none">Lab 3 - Create high level diagram</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - your task</h2>
					</div>
					<div style="width: 1056px; height: 200px; text-align: left">
						You'll be creating a logical diagram (as shown below) for a simple web application with the
						following elements in three tiers:<br />
						<br />
						<ul>
							<li>client (application)</li>
							<li>cloud (various middleware services)</li>
							<li>backend (storage)</li>
						</ul>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - end results</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						The logical diagram should look like this when finished:
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab3-save1b.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - example template</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Let's start by setting up our Starting Canvas. Click on tab <i>Starting Canvas</i>
						to access the example template provided for a logical diagrams:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tab-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - so far...</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						You're canvas should look like this:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-logical-template.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - hide unneeded icons</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						In left pane, minimize the icon libraries <i>Detail Diagrams Assets</i> and
						<i>Schematic Diagram Assets</i>, let's focus on <i>Logical Diagram Assets</i>:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-minimizelib-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - designing tier one</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Note that your first tier is a blank template:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-one.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - renaming tier one</h2>
					</div>
					<div style="width: 1056px; height: 130px; font-size: xx-large; text-align: left">
						Let's rename the title and label to:<br />
						<ul>
							<li>Logical diagram title ==> <code>Logical diagram</code></li>
							<li>Label ==> <code>Mobile client</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-label.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one background</h2>
					</div>
					<div style="width: 1056px; height: 130px; font-size: xx-large; text-align: left">
						Next, we need to replace tier one white background, click on <i>Logical Diagrams</i>
						-> <code>Application Components</code>, drag and align the green application
						component as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-service2-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px;">
						<h2 class="r-fit-text">Auto-saving your diagrams</h2>
					</div>
					<div style="width: 1056px; height: 300px; text-align: left">
						Don't worry about losing your work, the tool auto-saves your drawing after each edit.
						If your browser crashes, or you close the window, just reload the tool and it will
						recover the last file you were editing. (Don't believe it? Go ahead, try it. Hit
						<i>Reload</i> in your browser and see what happens.)
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one resizing bg</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Now resize the application component and align over the tier one box as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-service3.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one positioning bg</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						While the application component is selected, right click and select <i>To Back</i> in menu:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-service4-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one hidden bg</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						The application component drops behind the template placeholder now:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-behind-template.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - remove tier one placement guide</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Click to select white background <i>PLACEMENT GUIDE</i>, then right mouse click menu <i>Delete</i>
						or use keyboard <i>Delete</i> key to remove it:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-service5-e.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one background ready</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Select the bottom <i>Service name</i> component and double click to edit text to
						<i>Application client</i>:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-bg.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one app components</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Once deleted, the application other components remains as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app2.png">
						<img src="images/rhte-lab3-tier-one-app3.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one add application</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Now select just the <i>Application client</i> component. Using right pane <i>Style</i>
						properties, select the color green as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app4.png">
						<img src="images/rhte-lab3-tier-one-app5.png">
						<img src="images/rhte-lab3-tier-one-app6.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one add icon</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						Select the <i>Application</i> icon from the <i>Icon Library</i>), then drag and drop it on
						Application client's <i>Service Icon</i> template area. Make sure your cursor is over the
						<i>REPLACE</i> pop-up that appears before you drop the icon (this ensures it's locked into
						the element).
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app7.png">
						<img src="images/rhte-lab3-tier-one-app8.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one fixing icon</h2>
					</div>
					<div style="width: 1056px; height: 170px; font-size: xx-large; text-align: left">
						If you make a mistake and drop it before you are over the <i>REPLACE</i> pop-up (as in
						the first image below), just hit <i>CTRL+Z</i> to undo and try again until it looks like
						the second image below:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app9.png">
						<img src="images/rhte-lab3-tier-one-app8.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one add text detail</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						Now we realize that we want to add some text detail to this element, in the form of a white text box
						that's underneath the Application client green box. There is a separate element template for this,
						so let's just replace the current one with the other. Click on the second row green element for
						an <code>Application Service with Detail</code>, this puts one on the diagram.
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app10.png">
						<img src="images/rhte-lab3-tier-one-app11.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier one replace application</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						You know how to setup the name, (note bg color is part of the template item), the service icon,
						and add details text as shown so do that for the new detailed service item. Then move it over
						the top of the old Application client, use right mouse click to sent to back, then select and
						delete the original Application client.
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-one-app12.png">
						<img src="images/rhte-lab3-tier-one-app13.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - finalize tier one</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Finally, delete the remaining un-used <i>Service name</i> boxes, resize the
						<i>Mobile client</i> tier one box, and drag to move the <i>Mobile client</i>
						label down as show:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-one-app14.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h2 class="r-fit-text">Saving your work</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Another way to save your work is clicking the <i>Save</i> button on the top right.
						Note that once you've provided a file a name, it won't ask you again. The saved file
						will download to your machine:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-save-button.png">
						<img src="images/rhte-lab3-save.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - designing tier two</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Now let's design tier two of our simple web application. We'll again need to replace the white
						background placeholder with a <i>Services</i> component from the <i>Logical Diagram Assets</i>
						and rename the label:
					</div>
					<div style="width: 1056px; height: 350px;">
						<img src="images/rhte-lab3-tier-one-app14.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two service box</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Add a <i>General Services</i> box from the <i>Logical Diagrams</i> as a new
						background as shown:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-tier-two-serivces.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - renaming tier two </h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Rename title as shown:<br />
						<ul>
							<li>Label ==> <code>Cloud</code></li>
							<li>Delete the white <i>PLACEMENT GUIDE</i> box</li>
						</ul>
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-two-label.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two remove placeholders</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						We need to add three services to our Cloud tier; <i>Authentication</i>,
						<i>API Gateway</i>, and a <i>Business Application</i>. Start by removing two
						of the placeholder <i>Service name</i> templates:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-two-cleanup.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two add 3 services</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Using the <i>Icon Library</i>, add the icons using drag and drop to replace the template
						component as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-two-icons.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two label services</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Label each <i>Service name</i> component respectively:<br />
						<ul>
							<li><code>Authentication</code></li>
							<li><code>API gateway</code></li>
							<li><code>Business application</code></li>
						</ul>
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-two-named.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two text details</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Complete details text in white box for each service as shown, using resize to ensure white
						background encompasses all text details:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-one-app10.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier two visual alignment</h2>
					</div>
					<div style="width: 1056px; height: 100px; text-align: left">
						Adjust and remove the space between the services in your cloud tier as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-two-done.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h2 class="r-fit-text">Saving your work</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Another way to save your work is clicking the <i>Save</i> button on the top right.
						Note that once you've provided a file a name, it won't ask you again. The saved file
						will download to your machine:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-save-button.png">
						<img src="images/rhte-lab3-save.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - designing tier three</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Now let's design the final tier three of our simple web application. We'll replace the
						placeholder with an <i>Infrastructure Services</i> box from the <i>Logical Diagrams</i>
						and rename the label:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-three.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier three service box</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						Add an <i>Infrastructure Services</i> box from the <i>Logical Diagrams</i> as new
						background and rename the label <code>Back-end</code></li>:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-three-label.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier three remove placeholders</h2>
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						We need to add one infrastructure service to our back-end tier: <i>Data Store</i>. Start by
						removing all but one of the placeholder <i>Service name</i> templates:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-three-cleanup.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier three add service</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Select <i>General Service Detail</i> from the <code>Logical Diagrams</code> library
						to add to diagram. Drag to align with template service boxe, move to background
						and delete templates so it's all setup as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-three-icon.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier three complete service</h2>
					</div>
					<div style="width: 1056px; height: 70px; font-size: xx-large; text-align: left">
						Select the <i>Service name</i> box, complete text and add icon as shown:
					</div>
					<div style="width: 1056px; height: 200px;">
						<img src="images/rhte-lab3-tier-three-colors.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Logical diagram - tier three visual alignment</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Adjust and remove the empty space in the back-end tier. Also remove any left over
						placeholder components to the right in the browser window. Results should be as shown:
					</div>
					<div style="width: 1056px; height: 400px;">
						<img src="images/rhte-lab3-tier-three-done.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 200px">
						<h2 class="r-fit-text">Saving your work</h2>
					</div>
					<div style="width: 1056px; height: 120px; font-size: xx-large; text-align: left">
						Another way to save your work is clicking the <i>Save</i> button on the top right.
						Note that once you've provided a file a name, it won't ask you again. The saved file
						will download to your machine:
					</div>
					<div style="width: 1056px; height: 300px;">
						<img src="images/rhte-lab3-save-button.png">
						<img src="images/rhte-lab3-save.png">
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px;">
						<h2 class="r-fit-text">Lab completed - Results</h2>
					</div>
					<div style="width: 1056px; height: 450px;">
						<img src="images/rhte-lab3-results.png">
					</div>
				</section>

				<section data-background="images/questions.png">
					<span class="menu-title" style="display: none">References</span>
					<div style="width: 1056px; height: 200px;">
						<img height="150" width="100%" src="images/references.jpg">
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						<ul>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-workshops/#/2" target="_blank">Portfolio Architecture Workshops</a></li>
							<li><a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-tooling" target="_blank">Hosted diagram tool (open with browser)</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-examples" target="_blank">Example diagrams repository</a></li>
							<li><a href="https://gitlab.com/redhatdemocentral/portfolio-architecture-workshops" target="_blank">Workshop project repository</a></li>
							<li><a href="http://bit.ly/portfolio-architecture-team" target="_blank">Portfolio Architecture Team Repository (Red Hat internal)</a></li>
						</ul>
					</div>
				</section>

				<section>
					<span class="menu-title" style="display: none">Questions or feedback?</span>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Contact - are there any questions?</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: x-large; text-align: left">
						Ishu Verma<br/>
						Technical Marketing Manager Emerging Technologies<br/>
						Contact: <a href="https://twitter.com/IoT_Ishu" target="_blank">@IoT_Ishu</a>
						<br/><br/>
						Eric D. Schabell<br/>
						Portfolio Architect Director<br/>
						Contact: <a href="http://twitter.com/ericschabell" target="_blank">@ericschabell</a>
						or <a href="http://www.schabell.org" target="_blank">http://schabell.org</a>
						<br/><br/>
						William Henry<br/>
						Senior Distinguished Engineer<br>
						Contact: <a href="http://twitter.com/ipbabble" target="_blank">@ipbabble</a><br/>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 250px;">
						<h2 class="r-fit-text">Up next in workshop...</h2>
					</div>
					<div style="width: 1056px; height: 200px;">
						<a href="lab04.html" target="_blank">Lab 4 - Exporting and importing diagrams</a>
					</div>
				</section>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/reveal.js-menu/menu.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMenu ],

				// Configure menu options.
				menu: {

					// Specifies which side of the presentation the menu will
					// be shown. Use 'left' or 'right'.
    				side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: '30%',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: false,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					//
					// My custom menu with lab chapters
					// custom: [
					// 	{
					// 		title: 'Lab 1 - Installation',
					// 		icon: '<i class="fa fa-external-link">',
					// 		src: 'lab01.html'
					// 	},
					// 	{
					// 		title: 'Lab 2 - Create new project',
					// 		icon: '<i class="fa fa-info">',
					// 		src: 'lab02.html'
					// 	}
					// ]
					custom: false,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own
					// list of themes or 'themes' is set to 'false' the
					// 'themesPath' option is ignored.
					themesPath: 'dist/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: false,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must
					// be displayed for this to take effect
					openSlideNumber: false,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true,

				}
			});
		</script>
	</body>
</html>
